Subject: RE: Burstiness WIth increased max cwnd.

From: "Julien Godard" <[email-masked]>
Date: Fri, 25 Feb 2000 12:36:43 -0000

http://www.kashpureff.org/nic/drafts/draft-partridge-e2e-ackspacing-00.txt.h
tml
easy !
use eg altavista with the COMPLETE name of the file. Enjoy.

> -----Original Message-----
> From:	Lloyd Wood [SMTP:[email-masked]]
> Sent:	25 February 2000 11:04
> To:	Samaraweera, Nihal
> Cc:	'mukul goyal'; 
> Subject:	RE: Burstiness WIth increased max cwnd.
> 
> On Fri, 25 Feb 2000, Samaraweera, Nihal wrote:
> 
> > This is my favorite reference which explains the problem (please check
> the 
> > latest version from the IETF web).
> 
> That's from July 1997, and internet drafts expire after six months.
> 
> good luck finding a copy...
> 
> L.
> > 
> > C. Partridge, 'ACK Spacing for High Delay-Bandwidth Paths with
> Insufficient
> > Buffering', IETF, draft-partridge-e2e-ackspacing-00.txt, July 1997.
> > 
> > I also got some more explanation and simulation results:
> > 
> > N.K.G. Samaraweera, 'Return Link Optimisation for Internet Service
> Provision
> > 
> > Using DVB-S Networks', CCR, ACM SIGCOMM, volume 29, number 3, July 1999.
> 
> >
> http://www.acm.org/sigcomm/ccr/archive/1999/jul99/ccr-9907-samaraweera4.ht
> ml
> > .
> > 
> > good luck!!
> > nihal.
> > 
> > -----Original Message-----
> > From: mukul goyal [mailto:[email-masked]]
> > Sent: 24 February 2000 17:04 PM
> > To: [email-masked]
> > Subject: Burstiness WIth increased max cwnd.
> > 
> > 
> > With Window scaling in TCP, the back-to-back packets a TCP flow sends
> > can be very high. I was wondering if there is some study evaluating the
> > increase in burstiness of TCP traffic with larger cwnd. Or, in general, 
> > are there some papers talking about how bursty the traffic is as seen by
> a
> > router?
> > 
> > Thanks,
> > Mukul
> > 
> > 
> 
> <[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>
> 
>

---

From: Mark Allman <[email-masked]>
Date: Fri, 25 Feb 2000 08:27:51 -0500

> Or do you mean something else?  Note that congestion window (cwnd)
> is inflated based on incoming ACKs.  The rate of increase is
> determined by the rate of incoming ACKs.  And for every ACKs, it
> can send up to 3 segments.  This is the burstiness.  And cwnd is
> reduced back to 1 (or 2 or 3 segments depending on whether the
> implementation uses larger slow start cwnd) after the link is
> idle.

There really are two different "burstiness" definitions, I think.
One is outlined above.  That is, how many segments are sent in
response to each ACK (a sort of "micro burstiness").  The other
version would be a "macro burstiness", which is caused by ACKs
arriving one right after another causing causing a large amount of
data transmission (but, not at line rate).  This is especially true
on long-delay links.  What you see during slow start is all the ACKs
arriving at the beginning of the RTT, causing a macro burst of data
packets, followed by a long idle period that we spend waiting for
the ACKs.  There is a nice paper that talks about these macro
bursts....

    Joanna Kulik, Robert Coulter, Dennis Rockwell, and Craig
    Partridge, "A Simulation Study of Paced TCP," BBN Technical
    Memorandum No. 1218, August 12, 1999.
    http://www.ir.bbn.com/documentation/techmemos/TM1218.ps
    http://www.ir.bbn.com/documentation/techmemos/TM1218.pdf

allman

---
http://roland.grc.nasa.gov/~mallman/